> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all number ranges for the authenticated user's companies



## OpenAPI

````yaml openapi/openapi.json get /api/number-ranges
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/number-ranges:
    get:
      tags:
        - Number Ranges
      summary: Get all number ranges for the authenticated user's companies
      operationId: 03bd5a4146737d1d8c45bca4e6760bda
      responses:
        '200':
          description: Number ranges list retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  properties:
                    id:
                      type: integer
                    title:
                      type: string
                      nullable: true
                    start:
                      type: integer
                    end:
                      type: integer
                      nullable: true
                    latest_value:
                      type: integer
                      nullable: true
                    increase_by:
                      type: integer
                    prefix:
                      type: string
                      nullable: true
                    suffix:
                      type: string
                      nullable: true
                    padding:
                      type: integer
                    company:
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                      type: object
                  type: object
        '500':
          description: Failed to retrieve number ranges
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````